com.corticon.eclipse.studio.vocabulary.core

## Class VocabularyImportUtility

- java.lang.Object
- - com.corticon.eclipse.studio.vocabulary.core.VocabularyImportUtility

-     public class VocabularyImportUtility
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VocabularyImportUtility()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `setAssociationEndAttributeDuringImport(AssociationParameters aAssociationParameters, java.lang.String astrName, java.lang.String astrValue, int aiIndex)` setAssociationEndAttributeDuringImport
    `boolean` | `setIVocabularyAttributeDuringImport(IVocabularyModelAPI aIVocabularyModelAPI, IElement aIElement, java.lang.String astrName, java.lang.String astrValue)` This is a utility which maps imported string/value pairs to the API setter methods

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VocabularyImportUtility

          public VocabularyImportUtility()

  - ### Method Detail

    - #### setIVocabularyAttributeDuringImport

          public boolean setIVocabularyAttributeDuringImport(IVocabularyModelAPI aIVocabularyModelAPI,
                                                    IElement aIElement,
                                                    java.lang.String astrName,
                                                    java.lang.String astrValue)

      This is a utility which maps imported string/value pairs to the API setter methods
      Parameters:
        `aVocabularyModelAPI` - an instance of IVocabularyModelAPI
        `aIElement` - must be of sub-type IEntity, IAttribute or IAsscoationEnd
        `astrName` - must be the name of a property of the model of the IEntity, IAttribute or IAsscoationEnd arg
        `astrValue` - must be the String version of the value of the property identified by astrName
      Returns:
        boolean the results

    - #### setAssociationEndAttributeDuringImport

          public boolean setAssociationEndAttributeDuringImport(AssociationParameters aAssociationParameters,
                                                       java.lang.String astrName,
                                                       java.lang.String astrValue,
                                                       int aiIndex)

      setAssociationEndAttributeDuringImport
      Parameters:
        `aAssociationParameters` -
        `astrName` -
        `astrValue` -
        `aiIndex` - 0 means my, 1 means opposite
      Returns:

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.